// 控制jq
var w = $(window).width(),
	h = $(window).height();
$(function(){
	$('#menubtn').click(function(){
		if($(this).attr('data-type') == '1'){
			$(this).attr('data-type', '2');
			$('header #webmenu').css('left', '0');
			$('header #menubg').attr('data-type', '2');
		}else{
			$(this).attr('data-type', '1');
			$('header #webmenu').css('left', '-400px');
			$('header #menubg').attr('data-type', '1');
		}
	});
	$('header #webmenu .menu_box ul li b').click(function(){
		if($(this).children('i').eq(0).attr('class') == 'fa fa-plus'){
			$(this).parent().next().slideToggle(300);
			$(this).children('i').attr('class','fa fa-minus');
			$(this).parent().parent().addClass('action');
		}else{
			$(this).parent().next().slideUp("slow");
			$(this).children('i').attr('class','fa fa-plus');
			$(this).parent().parent().removeClass('action');
		}
	});
	$('#menubg').click(function(){
		$(this).attr('data-type', '1');
			$('header #menubtn').attr('data-type', '1');
			$('header #webmenu').css('left', '-400px');
	});
	$('#openform').click(function(){
		if($(this).attr('data-type') == '1'){
			$(this).attr('data-type', '2');
			$('form[name="hSearch"] input[name="kw"]').focus();
			$('#top_search').css('padding', '100px 0').css('height', 'auto').css('opacity', '1');
		}else{
			$(this).attr('data-type', '1');
			$('#top_search').css('padding', '0').css('height', '0').css('opacity', '0');
		}
	});
	$('#close_search').click(function(){
		$('#openform').attr('data-type', '1');
		$('#top_search').css('padding', '0').css('height', '0').css('opacity', '0');
	});
	$('#show_side_nav').click(function(){
		if($(this).eq(0).attr('data-type') == '0'){
			$(this).attr('data-type', '1');
			$(this).next().attr('data-type', '1')
		}else{
			$(this).attr('data-type', '0');
			$(this).next().attr('data-type', '0');
		}
	});
	$('#close_layout_nav a').click(function(){
		$('#show_side_nav').attr('data-type', '0');
		$('#side_box ul.cate').attr('data-type', '0');
	});
	$('#goSearch').click(function(){
		$('#hSearch').submit();
	});
	$('#webSeo').marquee({
		duration: 40000
	});
});
//回到顶部
function goTop(){
	$('html,body').animate({'scrollTop':0},600); //滚回顶部的时间，越小滚的速度越快~
}

webscroll();
$(window).scroll(webscroll);
function webscroll(){
	var docHeight = $(document).height();
	var headerHeight = $('header').height() + 20;
	var footerHeight = $('footer').height() - 50;
	var windowHeight = $(window).height();
	var windowScrollTop = $(window).scrollTop();
	var endPoint = docHeight - footerHeight;

	if(windowScrollTop > 50){
		$('header').addClass('headerfixed');
	}else{
		$('header').removeClass('headerfixed');
	}
	
	if(windowScrollTop > $('#wrap').offset().top - headerHeight){
		$('#gotop').attr('data-type', '1');
		if(windowScrollTop + windowHeight >= endPoint) $('#gotop').attr('data-type', '2');
	}else{
		$('#gotop').attr('data-type', '1');
	}
}
function layoutFixed(){
	var headerHeight = $('header').height() + 20;
	var headerfixHeight = $('header').height() + 1;
	var windowScrollTop = $(window).scrollTop();

	if(windowScrollTop > $('#wrap').offset().top - headerHeight){
		$('#side_box').addClass('fixed_box').css('top', headerfixHeight+'px');
	}else{
		$('#side_box').removeClass('fixed_box').css('top', '0')
	}
}
//jump6
var flagWC = 0;
window.addEventListener('message',function(e){
	if(e.source != window.parent) return;
	if(flagWC > 0) return;
	document.body.style.width = e.data;
	document.body.style.overflowX = "hidden";
	flagWC = 1;
},true);
if(window.top != window && flagWC == 0){
	window.top.postMessage('givemewidth','*');
}